import sys
import os
import traceback
import urllib.request
import json

if __name__ == "__main__":
    # 引数が指定されなかった場合、usage表示して終了
    if len(sys.argv) < 2:
        print("Usage: %s <url>" % sys.argv[0])
        sys.exit(os.EX_OK)

    url = sys.argv[1]
    # 送信するJSONデータを準備
    data = {
        "pref": "hokkaido",
        "city": "sapporo"
    }
    # 送信ヘッダを準備
    headers = {
        'Content-Type': 'application/json'
    }

    # 接続先URLと送信パラメータからリクエストを作成
    request = urllib.request.Request(url, json.dumps(data).encode(), headers)
    try:
        # 接続してレスポンスを取得
        with urllib.request.urlopen(request) as response:
            # レスポンスを読み込む
            body = response.read()
            print(body.decode())
    except:
        print(traceback.format_exc())
