import socket
import sys
import os
import traceback

if __name__ == "__main__":
    # 引数が指定されなかった場合、usage表示して終了
    if len(sys.argv) < 2:
        print("Usage: %s <port>" % sys.argv[0])
        sys.exit(os.EX_OK)

    port = int(sys.argv[1])
    if port < 49152 or 65535 < port:
        print("Specify the port 49152-65535\n")
        sys.exit(os.EX_OK)

    with socket.socket(socket.AF_INET, socket.SOCK_STREAM) as server:
        # アドレスとポートを割り当て
        server.bind(("", port))

        # クライアントからの接続を待つ
        server.listen(socket.SOMAXCONN)

        # クライアントからの接続を受け付けて、入出力用のソケットを作成
        client, client_addr = server.accept()

        try:
            # メッセージを送信
            client.sendall(b'Hello!\r\n')
        except:
            print(traceback.format_exc())
